# $Revision: 1.33 $, $Date: 2004/05/07 01:24:28 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	NetServer
%define	pnam	Generic
Summary:	NetServer::Generic perl module
Summary(pl):	Modu perla NetServer::Generic
Name:		perl-NetServer-Generic
Version:	1.03
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bbb47b15e1b624e1b728d8ef6ea93268
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NetServer::Generic - simple TCP/IP server.

%description -l pl
NetServer::Generic - prosty serwer TCP/IP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/NetServer/Generic.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-NetServer-Generic.spec,v $
Revision 1.33  2004/05/07 01:24:28  ankry
- rel. 7

Revision 1.32  2004/05/06 18:20:48  ankry
- fixed perl-devel BR

Revision 1.31  2004/04/27 07:13:20  ankry
- license fix, added tests

Revision 1.30  2003/09/09 10:24:44  ankry
- spaces -> tab

Revision 1.29  2003/08/18 08:09:05  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:00:55  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:24:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 20:22:03  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/27 20:53:55  ankry
fixed %%attr

Revision 1.23  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:37:24  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/11/26 00:14:32  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.20  2002/07/10 08:48:22  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:33:28  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:19:13  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:31:30  depesz
adapterized

Revision 1.14  2002/01/18 02:14:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:21  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:13:48  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/19 14:29:56  mis
- updated (by autoup) to 1.03

Revision 1.9  2001/01/19 06:50:10  kloczek
- do not include .packlist in %files,
- spec adapterized.

Revision 1.8  2001/01/13 01:18:22  dobrek
-Req:perl>=5.6 ;Realase=4;New rpm automat

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 23:57:53  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
